ELFTOSB(8)

NAME
elftosb - generate secure boot images for Freescale processors

SYNOPSIS
elftosb [-?, - -help] [-C, - -component version] [-c, - -command file] [-D, - -define const] [-d, - -debug] [-f, - -chip-family family] [-k, - -key file] [-O, - -option option] [-o, - -output file] [-P, - -product version] [-p, - -search-path path] [-q, - -quiet] [-V, - -verbose] [-v, - -version] [-z, - -zero-key] files...

DESCRIPTION
The elftosb program is used to create a digitaly signed secure boot (sb) file. This sb file can be booted by the first stage boot loader found in Freescale i.MX23 and i.MX28 application processors. One or several ELF files and optionally a key are taken as input and processed under the control of a command file to generate the sb file.

SEE ALSO
sbkeygen(8), sbtool(8)
Freescale Application Note AN4555

COPYRIGHT
Copyright (c) 2004-2010 Freescale Semiconductor, Inc.

BUGS
The elftosb program and its command file syntax are poorly documented.